This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 430072 - xdg-open should call mimeopen with -L option
xdg-open should call mimeopen with -L option
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xdg-utils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature, Triaged, Upstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 07:25 EST by Miroslav Lichvar
Modified: 2012-01-04 03:31 EST (History)
4 users (show)

See Also:
Fixed In Version: xdg-utils-1.0.2-20.20100709.fc12
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 16:44:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Miroslav Lichvar 2008-01-24 07:25:46 EST
Description of problem:
It would be nice to call mimeopen with -L option in xdg-open to follow symlinks.
I noticed this when trying to view an attachment in mutt while composing new
email, mutt created a symlink for the attachment.

Version-Release number of selected component (if applicable):
xdg-utils-1.0.2-3
Comment 1 Rex Dieter 2008-01-24 08:55:35 EST
I'm surprised following symlinks isn't the default mimeopen behavior.  ??
Comment 2 Patrice Dumas 2008-01-24 17:31:11 EST
Yeah, me too. I'll ask upstream.
Comment 3 Rex Dieter 2008-02-25 07:55:25 EST
Patrice, any word from mimeopen upstream regarding -L, following symlink behavior?
Comment 4 Rex Dieter 2008-02-25 07:58:14 EST
Reassigning (for now).
Comment 5 Patrice Dumas 2008-05-03 10:10:30 EDT
I have asked upstream some time ago, but didn't got any response.
I'll certainly retry after my vacations if I don't forget.
Comment 6 Bug Zapper 2008-05-14 00:52:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Rex Dieter 2008-08-04 11:18:19 EDT
Patrice, ping?  any news movement on mimeopen -L usage/default?
Comment 8 Patrice Dumas 2008-08-04 11:48:19 EDT
I think I forgot to reask. I'll dot it soon.
Comment 9 Bug Zapper 2009-06-09 19:25:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-11-16 03:00:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora Admin XMLRPC Client 2010-03-02 13:01:03 EST
Reassigning to new package owner
Comment 12 Marcela Mašláňová 2010-03-03 01:10:47 EST
Switching back, I'm not maintainer.
Comment 13 Fedora Admin XMLRPC Client 2010-03-03 01:13:49 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Petr Pisar 2010-06-22 06:47:01 EDT
mimeopen (from perl-File-MimeInfo package) does not use xdg-open (from xdg-utils). The no-follow behavior is default for mimeopen.

However I opened feature request <https://rt.cpan.org/Public/Bug/Display.html?id=58575> at upstream.

If xdg-open users want consistent behavior over all xdg-utils back-ends, xdg-open code must be changed to reflect it:

$ grep -Hn -C5 mimeopen /usr/bin/xdg-open 
/usr/bin/xdg-open-426-            if [ $? -eq 0 ]; then
/usr/bin/xdg-open-427-                exit_success
/usr/bin/xdg-open-428-            fi
/usr/bin/xdg-open-429-        fi
/usr/bin/xdg-open-430-
/usr/bin/xdg-open:431:        if mimeopen -v 2>/dev/null 1>&2; then
/usr/bin/xdg-open:432:            mimeopen -n "$file"
/usr/bin/xdg-open-433-            if [ $? -eq 0 ]; then
/usr/bin/xdg-open-434-                exit_success
/usr/bin/xdg-open-435-            fi
/usr/bin/xdg-open-436-        fi
/usr/bin/xdg-open-437-    fi

Add `-L' option on line 431.

Reassigning to xdg-utils.
Comment 15 Rex Dieter 2010-06-23 08:19:51 EDT
You agree mimeopen behavior is inconsistent, yet you insist that xdg-open be patched instead of mimeopen?
Comment 16 Rex Dieter 2010-06-23 08:20:52 EDT
rebasing, +FutureFeature keyword so this doesn't get eol'd prior to resolution
Comment 17 Petr Pisar 2010-06-23 09:34:11 EDT
(In reply to comment #15)
> You agree mimeopen behavior is inconsistent, yet you insist that xdg-open be
> patched instead of mimeopen?    

Exactly. The problem is xdg-open does not respect interface defined by underlying mimeopen (even if it is stupid). Thus it's a bug in xdg-open and xdg-open should be changed to resolve this bug report.

I cannot change mimeopen API because it would: divert from upstream and break third-party applications.
Comment 18 Rex Dieter 2010-07-09 09:42:51 EDT
Alright, change pushed upstream, will be included in the next pkg update.
Comment 19 Fedora Update System 2010-07-09 12:23:55 EDT
xdg-utils-1.0.2-20.20100709.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xdg-utils-1.0.2-20.20100709.fc13
Comment 20 Fedora Update System 2010-07-09 12:46:18 EDT
xdg-utils-1.0.2-20.20100709.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xdg-utils-1.0.2-20.20100709.fc12
Comment 21 Fedora Update System 2010-07-13 03:25:20 EDT
xdg-utils-1.0.2-20.20100709.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xdg-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xdg-utils-1.0.2-20.20100709.fc12
Comment 22 Fedora Update System 2010-07-13 03:33:21 EDT
xdg-utils-1.0.2-20.20100709.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xdg-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xdg-utils-1.0.2-20.20100709.fc13
Comment 23 Fedora Update System 2010-07-13 16:43:52 EDT
xdg-utils-1.0.2-20.20100709.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2010-11-09 20:09:20 EST
xdg-utils-1.0.2-20.20100709.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Petr Pisar 2012-01-04 03:31:38 EST
perl-File-MimeInfo upstream has decided to follow symlinks by default since version 0.16.

Note You need to log in before you can comment on or make changes to this bug.